using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0xEC4, 0xEC5 )]
	public class SkinningKnife : BaseKnife
	{
		[Constructable]
		public SkinningKnife() : base( 1, 10, 40, 0x23B, 0x238, 1, SkillName.Swords, WeaponType.Slashing, WeaponAnimation.Slash1H, 0xEC4, Layer.OneHanded )
		{
			Weight = 1.0;
			StrRequirement = 5;
		}

		public SkinningKnife( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}