using System;
using Server;

namespace Server.Items
{
	public class SpinningwheelSouthAddon : BaseAddon
	{
		[Constructable]
		public SpinningwheelSouthAddon()
		{
		AddComponent( new AddonComponent( 0x1015 ), 0, 0, 0 );
		}

		public SpinningwheelSouthAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class SpinningwheelSouthDeed : BaseAddonDeed
	{
		public override BaseAddon Addon{ get{ return new SpinningwheelSouthAddon(); } }
		public override int Label{ get{ return 1044342; } } // spining wheel (south)

		[Constructable]
		public SpinningwheelSouthDeed()
		{
		}

		public SpinningwheelSouthDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}